> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /misumi/products

> Get a MISUMI (ミスミ) product by series code, part number (型番) or product URL: name, brand, category breadcrumbs, price range and per-piece price range in JPY excluding tax, shipping lead time, rating and rating distribution, review count, variant count, standard specifications, the dimension table, CAD availability, RoHS / chemSHERPA compliance, catalogue references and attached documents. When a part number is supplied the exact configured item is returned as well.

**Price:** 1 credit

**⚠️ Common errors:** 412: Product not found (well-formed series code or part number, but no such product on MISUMI)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/misumi/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/misumi/products:
    post:
      tags:
        - /misumi
      summary: /misumi/products
      description: >-
        Get a MISUMI (ミスミ) product by series code, part number (型番) or product
        URL: name, brand, category breadcrumbs, price range and per-piece price
        range in JPY excluding tax, shipping lead time, rating and rating
        distribution, review count, variant count, standard specifications, the
        dimension table, CAD availability, RoHS / chemSHERPA compliance,
        catalogue references and attached documents. When a part number is
        supplied the exact configured item is returned as well.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Product not found (well-formed series code or
        part number, but no such product on MISUMI)
      operationId: __api_misumi_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MisumiProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MisumiProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MisumiProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
      type: object
      required:
        - product
    MisumiProduct:
      properties:
        '@type':
          type: string
          default: MisumiProduct
        id:
          type: string
        url:
          type: string
        name:
          type: string
        brand:
          anyOf:
            - $ref: '#/components/schemas/MisumiBrandRef'
            - type: 'null'
        category_id:
          anyOf:
            - type: string
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        department_id:
          anyOf:
            - type: string
            - type: 'null'
        breadcrumbs:
          items:
            $ref: '#/components/schemas/MisumiCategoryRef'
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            $ref: '#/components/schemas/MisumiImage'
          type: array
          default: []
        shape_image:
          anyOf:
            - type: string
            - type: 'null'
        min_price:
          anyOf:
            - type: number
            - type: 'null'
        max_price:
          anyOf:
            - type: number
            - type: 'null'
        min_price_per_piece:
          anyOf:
            - type: number
            - type: 'null'
        max_price_per_piece:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          type: string
          default: JPY
        min_pieces_per_package:
          anyOf:
            - type: integer
            - type: 'null'
        max_pieces_per_package:
          anyOf:
            - type: integer
            - type: 'null'
        min_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        max_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        min_shortest_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        max_shortest_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_stock_item:
          anyOf:
            - type: boolean
            - type: 'null'
        is_discontinued:
          anyOf:
            - type: boolean
            - type: 'null'
        is_package_spec:
          anyOf:
            - type: boolean
            - type: 'null'
        is_special_shipment:
          anyOf:
            - type: boolean
            - type: 'null'
        has_volume_discount:
          anyOf:
            - type: boolean
            - type: 'null'
        is_economy:
          anyOf:
            - type: boolean
            - type: 'null'
        grade:
          anyOf:
            - type: string
            - type: 'null'
        cad_types:
          items:
            type: string
          type: array
          default: []
        labels:
          items:
            type: string
          type: array
          default: []
        pictograms:
          items:
            $ref: '#/components/schemas/MisumiPictogram'
          type: array
          default: []
        rohs:
          anyOf:
            - $ref: '#/components/schemas/MisumiCompliance'
            - type: 'null'
        chemsherpa:
          anyOf:
            - $ref: '#/components/schemas/MisumiCompliance'
            - type: 'null'
        overview:
          anyOf:
            - type: string
            - type: 'null'
        product_description:
          anyOf:
            - type: string
            - type: 'null'
        specification_table:
          anyOf:
            - type: string
            - type: 'null'
        delivery_note:
          anyOf:
            - type: string
            - type: 'null'
        alteration_note:
          anyOf:
            - type: string
            - type: 'null'
        volume_discount_note:
          anyOf:
            - type: string
            - type: 'null'
        example_note:
          anyOf:
            - type: string
            - type: 'null'
        standard_spec_note:
          anyOf:
            - type: string
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating_distribution:
          additionalProperties:
            type: integer
          type: object
          default: {}
        variant_count:
          anyOf:
            - type: integer
            - type: 'null'
        specs:
          items:
            $ref: '#/components/schemas/MisumiSpec'
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        notices:
          items:
            type: string
          type: array
          default: []
        catalog_pages:
          items:
            $ref: '#/components/schemas/MisumiCatalogPage'
          type: array
          default: []
        catalog_url:
          anyOf:
            - type: string
            - type: 'null'
        catalog_note:
          anyOf:
            - type: string
            - type: 'null'
        technical_info_url:
          anyOf:
            - type: string
            - type: 'null'
        external_pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        documents:
          items:
            $ref: '#/components/schemas/MisumiDocument'
          type: array
          default: []
        contact:
          anyOf:
            - $ref: '#/components/schemas/MisumiContact'
            - type: 'null'
        has_similar:
          anyOf:
            - type: boolean
            - type: 'null'
        part:
          anyOf:
            - $ref: '#/components/schemas/MisumiVariant'
            - type: 'null'
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MisumiBrandRef:
      properties:
        '@type':
          type: string
          default: MisumiBrandRef
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_misumi:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - name
    MisumiCategoryRef:
      properties:
        '@type':
          type: string
          default: MisumiCategoryRef
        id:
          type: string
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    MisumiImage:
      properties:
        '@type':
          type: string
          default: MisumiImage
        url:
          type: string
        caption:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    MisumiPictogram:
      properties:
        '@type':
          type: string
          default: MisumiPictogram
        name:
          type: string
      type: object
      required:
        - name
    MisumiCompliance:
      properties:
        '@type':
          type: string
          default: MisumiCompliance
        standard:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - standard
    MisumiSpec:
      properties:
        '@type':
          type: string
          default: MisumiSpec
        id:
          type: string
        name:
          type: string
        value:
          type: string
        filter_value:
          anyOf:
            - type: string
            - type: 'null'
        group:
          anyOf:
            - type: string
            - type: 'null'
        group_value:
          anyOf:
            - type: string
            - type: 'null'
        code:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        diagram:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
        - value
    MisumiCatalogPage:
      properties:
        '@type':
          type: string
          default: MisumiCatalogPage
        id:
          type: string
        name:
          type: string
        page:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    MisumiDocument:
      properties:
        '@type':
          type: string
          default: MisumiDocument
        name:
          type: string
        url:
          type: string
      type: object
      required:
        - name
        - url
    MisumiContact:
      properties:
        '@type':
          type: string
          default: MisumiContact
        name:
          anyOf:
            - type: string
            - type: 'null'
        tel:
          anyOf:
            - type: string
            - type: 'null'
        fax:
          anyOf:
            - type: string
            - type: 'null'
        hours:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    MisumiVariant:
      properties:
        '@type':
          type: string
          default: MisumiVariant
        id:
          type: string
        url:
          type: string
        series_id:
          type: string
        part_number:
          type: string
        inner_code:
          anyOf:
            - type: string
            - type: 'null'
        inner_name:
          anyOf:
            - type: string
            - type: 'null'
        inner_name_en:
          anyOf:
            - type: string
            - type: 'null'
        type_code:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          type: string
          default: JPY
        pieces_per_package:
          anyOf:
            - type: integer
            - type: 'null'
        min_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        order_unit:
          anyOf:
            - type: integer
            - type: 'null'
        min_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        max_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        min_shortest_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        max_shortest_days_to_ship:
          anyOf:
            - type: integer
            - type: 'null'
        is_stock_item:
          anyOf:
            - type: boolean
            - type: 'null'
        is_discontinued:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sales_stopped:
          anyOf:
            - type: boolean
            - type: 'null'
        sales_stop_message:
          anyOf:
            - type: string
            - type: 'null'
        is_special_shipment:
          anyOf:
            - type: boolean
            - type: 'null'
        is_prompt_delivery:
          anyOf:
            - type: boolean
            - type: 'null'
        has_volume_discount:
          anyOf:
            - type: boolean
            - type: 'null'
        part_number_pattern:
          anyOf:
            - type: string
            - type: 'null'
        cad_types:
          items:
            type: string
          type: array
          default: []
        labels:
          items:
            type: string
          type: array
          default: []
        notes:
          items:
            type: string
          type: array
          default: []
        cautions:
          items:
            type: string
          type: array
          default: []
        specs:
          items:
            $ref: '#/components/schemas/MisumiSpec'
          type: array
          default: []
        documents:
          items:
            $ref: '#/components/schemas/MisumiDocument'
          type: array
          default: []
      type: object
      required:
        - id
        - url
        - series_id
        - part_number
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````